Package org.apache.wiki.parser

# Class Heading

java.lang.Object
org.apache.wiki.parser.Heading

public class Heading extends Object
This class is used to store the headings in a manner which allow the building of a Table Of Contents.

Since:
  2.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HEADING_LARGE`
Defines a large heading.
`static final int`
`HEADING_MEDIUM`
Defines a medium-size heading.
`static final int`
`HEADING_SMALL`
Defines a small heading.
`int`
`m_level`
Denotes the level of the heading.
`String`
`m_titleAnchor`
Contains the anchor to the heading
`String`
`m_titleSection`
Contains a section link.
`String`
`m_titleText`
Contains the text of the heading.

## Constructor Summary

Constructors
Constructor
Description
`Heading()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HEADING_SMALL

public static final int HEADING_SMALL
Defines a small heading.

See Also:
  - Constant Field Values

### HEADING_MEDIUM

public static final int HEADING_MEDIUM
Defines a medium-size heading.

See Also:
  - Constant Field Values

### HEADING_LARGE

public static final int HEADING_LARGE
Defines a large heading.

See Also:
  - Constant Field Values

### m_level

public int m_level
Denotes the level of the heading. Either HEADING_SMALL, HEADING_MEDIUM, or HEADING_LARGE.

### m_titleText

public String m_titleText
Contains the text of the heading.

### m_titleAnchor

public String m_titleAnchor
Contains the anchor to the heading

### m_titleSection

public String m_titleSection
Contains a section link.

## Constructor Details

### Heading

public Heading()